# $Revision: 1.16 $, $Date: 2004/06/01 09:26:11 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Inline
%define		pname	Octave
Summary:	Inline::Octave - inline octave code into your perl
Summary(pl):	Inline::Octave - umieszczanie kodu octave w kodzie perlowym
Name:		perl-Inline-Octave
Version:	0.20
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pname}-%{version}.tar.gz
# Source0-md5:	4c590abe9d4073cc35a3ad8a6322c763
Patch0:		%{name}-test.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Inline >= 0.4
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	octave
Requires:	octave
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Inline::Octave Perl module gives you the power of the octave
programming language from within your Perl programs.

%description -l pl
Modu Perla Inline::Octave umoliwia korzystanie z mocy jzyka
programowania octave wewntrz skryptw w Perlu.

%prep
%setup -q -n %{pdir}-%{pname}-%{version}
%patch -p1

%build
echo '/usr/bin/octave' | perl Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Inline/Octave.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Inline-Octave.spec,v $
Revision 1.16  2004/06/01 09:26:11  ankry
- -test patch by radek, rel.2

Revision 1.15  2004/05/06 18:43:13  ankry
- fixed perl-devel BR

Revision 1.14  2004/05/03 01:00:54  ankry
- cosmetic

Revision 1.13  2004/04/22 12:52:35  ankry
- license fixes & unification

Revision 1.12  2004/04/20 23:30:13  ankry
- ported to new bconds

Revision 1.11  2004/03/06 23:00:37  adamg
- updated to 0.20

Revision 1.10  2003/06/11 12:44:12  qboosh
- up to 0.18, cosmetics (from RA-branch), fixed for perl 5.8, release 2

Revision 1.9  2003/05/28 13:00:44  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/13 00:02:48  ankry
- merge from RA-branch: updated to 0.17

Revision 1.5  2003/03/01 19:37:25  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/18 15:35:01  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/09/14 22:20:57  ankry
- added tests, tramslations

Revision 1.2  2002/07/27 12:29:13  ankry
- BR: octave (otherwise build loops infinitely)
- release 2

Revision 1.1  2002/07/26 23:40:58  qboosh
- new
